/*
 * LongitudIncorrectaObligatorio.java
 *
 * Created on 13 de marzo de 2007, 10:36 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class LongitudIncorrectaObligatorio extends AbstractRule {

	/** Creates a new instance of LongitudIncorrectaObligatorio */
	public LongitudIncorrectaObligatorio() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		Integer longitudValida = new Integer((String) getParams()[0]);
		return field.length() != longitudValida.intValue();
	}

}
